Bug 183412 - Sony Vaio VGN-FS790B laptop does not autodetect "monitor"
Sony Vaio VGN-FS790B laptop does not autodetect "monitor"
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
Depends On:
Blocks: 183410
  Show dependency treegraph
Reported: 2006-02-28 17:00 EST by Dave Malcolm
Modified: 2014-03-16 22:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-24 18:47:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2006-02-28 17:00:27 EST
Description of problem:
Installing today's rawhide on a Sony Vaio VGN-FS790B laptop.

Reach firstboot, Display: "Unknown monitor with Intel Corp 915GM/GMS/910GML
Express Graphics Controller", available resolution:800x600 or 640x480.

Expected results:
I believe this laptop can do better resolutions that this; not sure what at the
moment though.
Comment 1 Dave Malcolm 2006-02-28 17:06:50 EST
(adding jeremy to CC as he was frantically hacking on this on the laptop in
question last time I saw him; please change the component to whatever is most
Comment 2 Jeremy Katz 2006-02-28 17:26:33 EST
Okay, this doesn't export it's panel EDID information via acpi_video, unlike
most of the laptops out there.  Setting the panel information manually works.

Of course, when ajax finishes killing xorg.conf, this won't matter ;)
Comment 3 Dave Malcolm 2006-02-28 17:48:11 EST
(Generic LCD 1280x800 works for now, BTW)
Comment 4 Mike A. Harris 2006-03-01 02:45:19 EST
ddcprobe/kudzu et al. are what does video card and monitor detection during
firstboot, reassigning.
Comment 5 Bill Nottingham 2006-03-01 11:47:12 EST
*shrug* if it's not in the video bios, there's not much we can do.
Comment 6 Dave Malcolm 2006-03-07 14:34:49 EST
Reopening:  The bios is unlikely to get fixed, but I think it's reasonable for a
user to expect this to work nonetheless.  If the video bios is not reporting the
information, but is identifiable as this specific model, can we specialcase this?  

What information would be needed? (output from dmidecode?)
Comment 7 Bill Nottingham 2006-08-24 18:47:33 EDT
The DDC probe has been removed from kudzu as of 1.2.41-1; X can do
autoconfiguration of monitors now.

Note You need to log in before you can comment on or make changes to this bug.